EXP1803 - Analyzing #194

Analyzing # 183 (OTkpbiTa): Express analysis of experimental data
Calibration of time signals

05/18/2018 04:26 PM - Vratislav Chudoba

Status: OTtkpbiTa Start date: 05/18/2018
Priority: Bbicokuia Due date:

Assignee: Ivan Muzalevsky % Done: 70%
Category: Software Estimated time: 0.00 hour
Target version:

Description

We need to obtain calibration parameters for time information of all Si detectors. Value of one TDC channel is 0.3 ns for all of them.
Calibrated file should be readible by "standart" TNeDet class and the main task is to determine offset for each strip. Calibration
should be based on dE-tau figures for each picture. We need to find parameter b in

time = a*time_channel + b,

where "time" is in nanoseconds and "time_channel" is measured in channels. The parameterer a is equal to 0.3 ns.

History

#1 - 05/19/2018 01:10 AM - lvan Muzalevsky
- File drawData.C added
- File Csl_fill.C added

Insa dannos n3 14 run, ¢ nomouwpto makpoca Csi_fill.C cbipble daiinbl cknemBanuch, B 4aHHOM cnyyae cnmBanucs 20 ¢oainos, a faHHble ans
Teneckonos nepecynTbiBannCb B 3HEPrnmn, UCNoNb3ys KaﬂlllﬁpOBOLIHble napamMeTpbl.

MepBoHavanbHas kapTvHka Amp:Time ans X cTpunos ( NMLEBOW CTOPOHbI ) NEBOr0 1-MM AeTeKTopa Bbirngaena Tak: cneea - JaHHble C OAHOro
cTpuna. cnpasa - CyMMapHas kapTuHka
times.png
Ins onpenenexus offset-oB ucnonbaosancs cut: SHepronoteps>14 MaB. (runepbona BbixoAMT Ha NpsiMOiA yyacTok). C NoMoLblo Makpoca
drawData.C cTtpounucb npoekuuy runepbon ¢ BblbpaHHbIM KATOM Ha BPEMEHHYIO OCb OCb (FOPU30HTaNbHYIO), (PUTUPOBANNCH FayCCOM, NOMNOXEHUS
nvKa 3anucbiBanucb B goaiin. [ns nayvaembix CTpUNoB 66110 06HapyXeH cnenyowmnin agqeKT:

e B cTpunax 0-15 cobbITuii Mano, nonoxeHve nvka B panoHe 1100 y.e. ans ctpunos 16-31 nonoxeHne nvka okono 1450, ctatnctuka 6onble.

¢ CTatucTVKa CTaHOBMTCSA OMEP3NTENbHO BONbLOMA TONBKO B MOCNEeAHNX 8 cTpunax. ¢ 16 no 23 ctatucTuka Takoro xe nopsaka, kak u B 0-15.
¢ [po6osan asuratb, ybmpatb cut dHepronoteps>14 MaB, (hopMbl, NONOXEHNS, KONNYECTBA COObLITUA OCTANNCH B TAKOM XE COOTHOLWEHNN.

time2.png timel.png
#2 - 05/20/2018 10:14 PM - Ivan Muzalevsky
- File positions.txt added

MonyyeHbl NpeaBapUTENbHbIE NapaMeTpbl, AeNéHHble Ha 0.3 (ONs UCMONb30BaHNS YMHOXMUTb Ha 0.3). M kapTuHKa cnoxeHus runepbon

timesShifted.png

04/02/2025 3/8



#3 - 05/21/2018 03:43 PM - Ivan Muzalevsky
- File tPar.clb added

#4 - 05/21/2018 03:47 PM - lvan Muzalevsky
- File deleted (tPar.clb)

#5 - 05/21/2018 03:49 PM - Ivan Muzalevsky
- File tPar.clb added

#6 - 05/23/2018 11:38 AM - lvan Muzalevsky
- File deleted (Csl_fill.C)

#7 - 05/23/2018 11:38 AM - Ivan Muzalevsky
- File deleted (drawData.C)

#8 - 05/23/2018 11:38 AM - lvan Muzalevsky
- File deleted (positions.txt)

#9 - 05/23/2018 11:38 AM - lvan Muzalevsky
- File deleted (tPar.clb)

#10 - 05/23/2018 12:43 PM - lvan Muzalevsky
- File Csl_fill.C added

- File drawData.C added

- File tParY L.clb added

- File tParX_L.clb added

For analysis data was taked from: 159.93.80.161:/LynxOS/mbsusr/mbsdag/mbsrun/exp201804/data/h5_14_00?7.Imd (10-49). | was using 40 raw
files from this run.

For data processing and drawing pictures two macroses were uses Csl_fill.C drawData.C. In the Csl_fill.C the thresholds taken from issue 187 were
used for all strips in order to cut pedestals. Also data from Si detectors was recalculated into energy spectrums by using calibration parameters
obtained in issue 187.

e Top left: Amp-Time correlation from strip Ne8 on the front side. We see expected shape of the distribution. For from side 2 TDCs were used
(0-15 and 16-31 with different offsets)

e Top right: Amp-Time correlation from strip Ne28 on the front side. We see weird shape of distribution. Staticstics is higher. The different in
statictics can be explaned by the mapping of X strips. Strips with bigger numbers were placed closer to the beam.

* Bottom left: Summ distribution of all strips on the from side

e Bottom right: Summ distribution for all stips with the selection of events with multiplicity=1 (multiplicity was calculated as the number of strips in
which the amplitude was overpassed the threshold energy of this strip)
X_Lbefore.png

For calibration the linear approximation was used: time(ns) = k*channel + b.

Where the k was taked as 0.3 .

b was calculating as a difference of the positions of the distributions in the strip NeO and selected one.

Thats why after calibration all distribution should be replaced on the position of the one of the strip NeO.

For calculating the position of the 2-d distribution showed above the 1-d time distribution (for example tSQX_L) was considered with the cut
(amp>14MeV). The cut let us to get the position of the distr without analysing its curve. The obtained 1-d distruibution was fitted by gaus function from
the left 50% to the right 50% of the peak maximum.

Pics are related to the last 4 SQX_L strips. you can clearly see the raising statistics as we going closer to the beam.

fitGauss.png
obtained calibration parameters for SQX_L were written into the file tParX_L.clb

By using this parameters calibrated 2-d distributions were obtained:
same distrutions, we can see that horizontal axis is in [ns] and summ distr has become more narrow.
X_Lafter.png

Same methods was used for SQY_L strips. Same pictures. We dont see different statistics here cuz the strips was placed almost in the same position

with the beam.
By selection multiplicity =1 the weird distribution, not curved at all, was obtained (bottom right). From the top right pic we can still see events which

are in not curved areas positions. (SQY_L

Y_Lbefore.png

Calibration parameters for Y_L were writted into tParY_L.clb. After calibration the following pic was obtained:
from these pics after calibration it can be suggested that calibration parameters are correct
Y_Lafter.png

Setup scheme

setup.jpg
#11 - 05/23/2018 12:52 PM - lvan Muzalevsky
- % Done changed from 0 to 70

Files

Csl_fill.C 8.89 KB 05/23/2018 lvan Muzalevsky
drawData.C 9.72 KB 05/23/2018 lvan Muzalevsky
tParY_L.clb 216 Bytes 05/23/2018 Ivan Muzalevsky
tParX_L.clb 441 Bytes 05/23/2018 lvan Muzalevsky
